aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/opie-sh-snes
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/opie-sh-snes
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/opie-sh-snes')
-rw-r--r--recipes/opie-sh-snes/files/opie-sh-snes.sh50
-rw-r--r--recipes/opie-sh-snes/files/snes.desktop6
-rw-r--r--recipes/opie-sh-snes/files/snes.pngbin0 -> 2308 bytes
-rw-r--r--recipes/opie-sh-snes/opie-sh-snes.inc27
-rw-r--r--recipes/opie-sh-snes/opie-sh-snes_0.2.bb28
-rw-r--r--recipes/opie-sh-snes/opie-sh-snes_1.2.2.bb4
-rw-r--r--recipes/opie-sh-snes/opie-sh-snes_1.2.3.bb3
-rw-r--r--recipes/opie-sh-snes/opie-sh-snes_1.2.4.bb3
-rw-r--r--recipes/opie-sh-snes/opie-sh-snes_cvs.bb4
9 files changed, 125 insertions, 0 deletions
diff --git a/recipes/opie-sh-snes/files/opie-sh-snes.sh b/recipes/opie-sh-snes/files/opie-sh-snes.sh
new file mode 100644
index 0000000000..0d5c3e0360
--- /dev/null
+++ b/recipes/opie-sh-snes/files/opie-sh-snes.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+#Path to your Roms if you want to disable the menu
+#LOCATION=/mnt/card/games/snes
+
+# Give a default
+if test -e /root/Settings/opie-sh-snes.conf
+then
+ LOCATION="`cat /root/Settings/opie-sh-snes.conf`"
+else
+ echo "/mnt/card/games/snes" > /root/Settings/opie-sh-snes.conf
+ #Enable Menu Rom Finder
+ LOCATION="` opie-sh -i -t "Path to Roms" -g -E -l -F /root/Settings/opie-sh-snes.conf `"
+ ! test -z "$LOCATION" && echo $LOCATION > /root/Settings/opie-sh-snes.conf
+fi
+
+echo "LOCATION = [$LOCATION]"
+if [ "$LOCATION" = "" ]; then exit; fi
+
+
+#Load a game from your list
+ROM=` cd "$LOCATION" ; ls -1 *.zip \
+ | opie-sh -i -l -t "Snes9x" -F -g `
+if [ "$ROM" = "" ]; then exit; fi
+
+echo "ROM = [$ROM]"
+
+#Enable Sound Button
+setsound () {
+ opie-sh -m -t "Sound" \
+ -M "Do you want sound?" \
+ -g -0 Yes -1 No
+RETURNCODE=$?
+
+case $RETURNCODE in
+ 0) SOUND="-sound" ;;
+ 1) SOUND="-nosound" ;;
+esac
+
+echo "SOUND = [$SOUND] / RC = [$?]"
+}
+
+
+setsound
+
+
+
+if [ "$SOUND" = "" ]; then exit; fi
+
+
+snes9x $SOUND "$LOCATION/$ROM"
diff --git a/recipes/opie-sh-snes/files/snes.desktop b/recipes/opie-sh-snes/files/snes.desktop
new file mode 100644
index 0000000000..31394980b5
--- /dev/null
+++ b/recipes/opie-sh-snes/files/snes.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Name=Snes9x
+Icon=snes
+Exec=opie-sh-snes.sh
+Comment=Displays a list of games for use with snes9x
+Type=Application
diff --git a/recipes/opie-sh-snes/files/snes.png b/recipes/opie-sh-snes/files/snes.png
new file mode 100644
index 0000000000..2c0abfe7e6
--- /dev/null
+++ b/recipes/opie-sh-snes/files/snes.png
Binary files differ
diff --git a/recipes/opie-sh-snes/opie-sh-snes.inc b/recipes/opie-sh-snes/opie-sh-snes.inc
new file mode 100644
index 0000000000..1f1787624a
--- /dev/null
+++ b/recipes/opie-sh-snes/opie-sh-snes.inc
@@ -0,0 +1,27 @@
+DESCRIPTION = "Displays a list of available ROMs for use with snes9x."
+SECTION = "opie/shell"
+PRIORITY = "optional"
+LICENSE = "GPL"
+
+RDEPENDS = "opie-sh"
+
+inherit opie
+
+FILES_${PN} = "/opt/QtPalmtop"
+
+SRC_URI = "file://snes.desktop \
+ file://snes.png \
+ file://opie-sh-snes.sh"
+
+
+do_install() {
+
+ for dir in apps apps/Games bin pics
+ do
+ install -d ${D}${palmtopdir}/$dir
+ done
+
+ install -m 755 ${WORKDIR}/opie-sh-snes.sh ${D}${palmtopdir}/bin
+ install -m 644 ${WORKDIR}/*.png ${D}${palmtopdir}/pics
+ install -m 644 ${WORKDIR}/*.desktop ${D}${palmtopdir}/apps/Games
+}
diff --git a/recipes/opie-sh-snes/opie-sh-snes_0.2.bb b/recipes/opie-sh-snes/opie-sh-snes_0.2.bb
new file mode 100644
index 0000000000..4701e1aeeb
--- /dev/null
+++ b/recipes/opie-sh-snes/opie-sh-snes_0.2.bb
@@ -0,0 +1,28 @@
+DESCRIPTION = "Displays a list of available ROMs for use with snes9x."
+SECTION = "opie/shell"
+PRIORITY = "optional"
+LICENSE = "GPL"
+
+RDEPENDS = "opie-sh"
+
+
+PR = "r2"
+
+FILES_${PN} = "/opt/QtPalmtop"
+
+SRC_URI = "file://snes.desktop \
+ file://snes.png \
+ file://opie-sh-snes.sh"
+
+
+do_install() {
+
+ for dir in apps apps/Games bin pics
+ do
+ install -d ${D}${palmtopdir}/$dir
+ done
+
+ install -m 755 ${WORKDIR}/opie-sh-snes.sh ${D}${palmtopdir}/bin
+ install -m 644 ${WORKDIR}/*.png ${D}${palmtopdir}/pics
+ install -m 644 ${WORKDIR}/*.desktop ${D}${palmtopdir}/apps/Games
+}
diff --git a/recipes/opie-sh-snes/opie-sh-snes_1.2.2.bb b/recipes/opie-sh-snes/opie-sh-snes_1.2.2.bb
new file mode 100644
index 0000000000..07196d1827
--- /dev/null
+++ b/recipes/opie-sh-snes/opie-sh-snes_1.2.2.bb
@@ -0,0 +1,4 @@
+require ${PN}.inc
+
+
+
diff --git a/recipes/opie-sh-snes/opie-sh-snes_1.2.3.bb b/recipes/opie-sh-snes/opie-sh-snes_1.2.3.bb
new file mode 100644
index 0000000000..9a48668e8a
--- /dev/null
+++ b/recipes/opie-sh-snes/opie-sh-snes_1.2.3.bb
@@ -0,0 +1,3 @@
+require ${PN}.inc
+
+PR = "r0"
diff --git a/recipes/opie-sh-snes/opie-sh-snes_1.2.4.bb b/recipes/opie-sh-snes/opie-sh-snes_1.2.4.bb
new file mode 100644
index 0000000000..9a48668e8a
--- /dev/null
+++ b/recipes/opie-sh-snes/opie-sh-snes_1.2.4.bb
@@ -0,0 +1,3 @@
+require ${PN}.inc
+
+PR = "r0"
diff --git a/recipes/opie-sh-snes/opie-sh-snes_cvs.bb b/recipes/opie-sh-snes/opie-sh-snes_cvs.bb
new file mode 100644
index 0000000000..e28a02a80d
--- /dev/null
+++ b/recipes/opie-sh-snes/opie-sh-snes_cvs.bb
@@ -0,0 +1,4 @@
+require ${PN}.inc
+
+PV = "${OPIE_CVS_PV}"
+PR = "r2"